Loading...
Searching...
No Matches
sensors::AlertedSensorManager Interface Reference

A global instance keeping track of sensors in alerted state. More...

## Classes

struct | AlertedSensorsChangedEvent
| Event: One or more sensors' alert states have changed. More...
struct | MonitoredSensorsChangedEvent
| Event: A change in the list of monitored sensors occurred. More...
struct | SensorCounts
| Statistics about monitored sensors. More...
struct | SensorData
| Data about a monitored sensor. More...

## Public Types

enum | AlertState { UNAVAILABLE , NORMAL , CRITICAL , WARNED }
| Sensor alert state. More...

## Public Member Functions

SensorCounts | getSensorCounts ()
| Retrieve the current sensor counts. More...
vector< SensorData > | getAllSensors ()
| Retrieve a list of all monitored sensors. More...
vector< SensorData > | getAlertedSensors ()
| Retrieve a list of currently alerted sensors. More...

## Detailed Description

A global instance keeping track of sensors in alerted state.

## Member Enumeration Documentation

## AlertState

enum sensors::AlertedSensorManager::AlertState

Sensor alert state.

Enumerator
UNAVAILABLE | Sensor is unavailable.
NORMAL | Sensor is not alerted.
CRITICAL | Sensor is in critical state.
WARNED | Sensor is in warned state.

## Member Function Documentation

## getAlertedSensors()

vector< SensorData > sensors::AlertedSensorManager::getAlertedSensors | ( |  | ) |

Retrieve a list of currently alerted sensors.

Returns
  List of alerted sensors

## getAllSensors()

vector< SensorData > sensors::AlertedSensorManager::getAllSensors | ( |  | ) |

Retrieve a list of all monitored sensors.

Returns
  List of monitored sensors including alert state

## getSensorCounts()

SensorCounts sensors::AlertedSensorManager::getSensorCounts | ( |  | ) |

Retrieve the current sensor counts.

Returns
  Current sensor counts

The documentation for this interface was generated from the following file:

- AlertedSensorManager.idl